# Define the kmod package name here.
%define kmod_name e1000e

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-573.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 3.3.3
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.intel.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for the
Intel® 82563/6/7, 82571/2/3/4/7/8/9 and 82583 PCI-E based Ethernet NICs.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
%{__gzip} %{kmod_name}.7
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd src >/dev/null
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion}
popd >/dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} src/%{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} pci.updates %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} -d %{buildroot}%{_mandir}/man7/
%{__install} %{kmod_name}.7.gz %{buildroot}%{_mandir}/man7/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Thu Apr 14 2016 Akemi Yagi <toracat@elrepo.org> - 3.3.3-1
- Updated version to 3.3.3
- Built against kernel 2.6.32-573

* Sun Aug 03 2014 Alan Bartlett <ajb@elrepo.org> - 3.1.0.2-1
- Updated version to 3.1.0.2

* Sat Mar 01 2014 Alan Bartlett <ajb@elrepo.org> - 3.0.4-1
- Updated version to 3.0.4

* Sat Sep 07 2013 Alan Bartlett <ajb@elrepo.org> - 2.5.4-1
- Updated version to 2.5.4

* Mon Jul 01 2013 Alan Bartlett <ajb@elrepo.org> - 2.4.14-1
- Updated version to 2.4.14

* Sat Apr 20 2013 Alan Bartlett <ajb@elrepo.org> - 2.3.2-1
- Updated version to 2.3.2

* Wed Feb 06 2013 Alan Bartlett <ajb@elrepo.org> - 2.2.14-1
- Updated version to 2.2.14

* Mon Sep 17 2012 Alan Bartlett <ajb@elrepo.org> - 2.1.4-1
- Updated version to 2.1.4

* Sat Jul 07 2012 Alan Bartlett <ajb@elrepo.org> - 2.0.0-1
- Updated version to 2.0.0

* Fri Apr 27 2012 Alan Bartlett <ajb@elrepo.org> - 1.11.3-1
- Updated version to 1.11.3

* Fri Dec 30 2011 Alan Bartlett <ajb@elrepo.org> - 1.9.5-1
- Updated version to 1.9.5

* Tue Nov 29 2011 Alan Bartlett <ajb@elrepo.org> - 1.6.3-1
- Updated version to 1.6.3

* Thu Oct 06 2011 Alan Bartlett <ajb@elrepo.org> - 1.6.2-1
- Updated version to 1.6.2

* Wed Aug 24 2011 Alan Bartlett <ajb@elrepo.org> - 1.5.1-1
- Updated version to 1.5.1

* Tue Jul 19 2011 Alan Bartlett <ajb@elrepo.org> - 1.4.4-1
- Updated version to 1.4.4

* Wed Jun 08 2011 Alan Bartlett <ajb@elrepo.org> - 1.3.17-1
- Updated version to 1.3.17

* Sun Mar 20 2011 Alan Bartlett <ajb@elrepo.org> - 1.3.10a-1
- Updated version to 1.3.10a

* Fri Dec 10 2010 Alan Bartlett <ajb@elrepo.org> - 1.1.20-1
- Updated version to 1.1.20

* Sun Nov 28 2010 Alan Bartlett <ajb@elrepo.org> - 1.2.10-2
- Updated package to current ELRepo Project standards.

* Tue Nov 16 2010 Akemi Yagi <toracat@elrepo.org> - 1.2.10-1
- Initial el6 build of the kmod package.
